# $Revision: 1.21 $, $Date: 2008/11/12 21:19:18 $
Summary:	KDE EXIF Data Handling Library 
Summary(pl.UTF-8):	Biblioteka obsługi danych z exif w KDE
Name:		libkexif
Version:	0.2.5
Release:	4
License:	GPL v2+
Group:		Libraries
Source0:	http://dl.sourceforge.net/kipi/%{name}-%{version}.tar.bz2
# Source0-md5:	a2b933b80deabe57d8515583236ae6ff
Patch0:		kde-ac260-lt.patch
URL:		http://extragear.kde.org/apps/kipi/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.6.1
BuildRequires:	gettext-devel
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	libexif-devel >= 0.6.9
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libkexif is a library for manipulating EXIF information embedded in
images. It currently supports viewing of all EXIF information via
libexif. It also supports the modification of a few attributes in a
safe way that preserves all other EXIF information in the file.

%description -l pl.UTF-8
Libkexif to biblioteka do manipulacji danymi EXIF zawartymi w
obrazach. Aktualnie wspiera podgląd wszystkich informacji poprzez
libexif oraz modyfikację kilku atrybutów przy zachowaniu niezmienności
pozostałych.

%package devel
Summary:	Header files for libkexif development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających libkexif
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	kdelibs-devel >= 9:3.2.0
Requires:	libexif-devel >= 0.6.9

%description devel
Header files for libkexif  development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających libkexif.

%prep
%setup -q
%patch0 -p1

%build
cp -f %{_datadir}/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs

%configure \
	--disable-rpath \
	--enable-final \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libkexif.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkexif.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkexif.so
%{_libdir}/libkexif.la
%{_includedir}/libkexif
%{_pkgconfigdir}/libkexif.pc

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libkexif.spec,v $
Revision 1.21  2008/11/12 21:19:18  arekm
- release 4

Revision 1.20  2008/01/20 09:48:05  qboosh
- apply kde-ac260-lt patch, now it links correctly
- added missing ldconfig calls
- release 3

Revision 1.19  2007-03-13 11:45:26  pluto
- release 2 for rebuild with fixed kdelibs ( boost deps issue ).

Revision 1.18  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.16  2007/01/12 23:11:27  rotom
- up to 0.2.5

Revision 1.15  2006/07/19 15:48:27  bszx
- updated to 0.2.4

Revision 1.14  2006/03/09 12:42:55  qboosh
- disable rpath

Revision 1.13  2006/03/09 12:25:12  pluto
- no need for unsermake.

Revision 1.12  2006/03/08 22:34:23  maciek2w
- updated to 0.2.2
- BR: unsermake >= 051225 (req newer version)

Revision 1.11  2005/06/27 13:32:48  zbyniu
- BR: gettext-devel, pkgconfig

Revision 1.10  2005/03/28 11:46:45  darekr
- fixed URL (from michal@michal.waw.pl)

Revision 1.9  2005/02/05 22:38:14  arekm
- rel 1

Revision 1.8  2005/01/09 01:23:05  petec
- update to 0.2.1 from Michal Kochanowicz <michal(at)michal.waw.pl>

Revision 1.7  2004/11/16 22:06:31  arekm
- rel 1

Revision 1.6  2004/11/12 17:42:17  bszx
- updated to 0.1. I'm not sure about the version number. Maye it should be 0.1.0?

Revision 1.5  2004/11/11 19:48:19  saq
- mass commit: using %%{epoch} without explicit Epoch: declaration
  requires a modern rpm

Revision 1.4  2004/10/06 13:17:55  qboosh
- package docs and .la, -devel R: kdelibs-devel
- BR libexif 0.6.9 (preferred; 0.5.7 is minimal really required)

Revision 1.3  2004/10/06 13:13:04  qboosh
- cleanup, URL fix, License is GPL (v2+)

Revision 1.2  2004/09/20 16:52:41  djurban
- md5

Revision 1.1  2004/09/20 16:49:15  djurban
- kde exif wrapper

Revision 1.3  2004/09/18 11:11:33  djurban
- libkipi.so must be packged

Revision 1.2  2004/09/18 10:49:26  djurban
-md5

Revision 1.1  2004/09/18 10:26:49  djurban
- 040918 snap of libkipi
